Subject: Re: [PATCH] Allow passing of --directory to git-am.

From: Simon 'corecode' Schubert <[email-masked]>
Date: Thu, 04 Dec 2008 23:26:16 +0100

Junio C Hamano wrote:
> Simon 'corecode' Schubert <[email-masked]> writes:
> 
>> We need to play some shell tricks to be able to pass directory names
>> which contain spaces and/or quotes.
> 
> There already was an earlier attempt for this feature by Kevin Ballard,
> which had issues I pointed out:
> 
>   http://thread.gmane.org/gmane.comp.version-control.git/94335/focus=94456
> 
> The patch was carried for a few weeks in 'pu' but was dropped due to lack
> of follow-up updates.
> 
> Does your version address the issues Kevin's one had?

You mean not storing/restoring the flags across an invocation?  No, that's 
a different thing.  My patch only adds the --directory option, it does not 
fix the previously existing bug.

cheers
   simon

-- 
   <3 the future  +++  RENT this banner advert  +++   ASCII Ribbon   /"\
   rock the past  +++  space for low €€€ NOW!1  +++     Campaign     \ /
Party Enjoy Relax   |   http://dragonflybsd.org      Against  HTML   \
Dude 2c 2 the max   !   http://golden-apple.biz       Mail + News   / \